Bug 1595030 (CVE-2018-12365) - CVE-2018-12365 Mozilla: Compromised IPC child process can list local filenames
Summary: CVE-2018-12365 Mozilla: Compromised IPC child process can list local filenames
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12365
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1590694 1590696 1590697 1598644 1598645 1598646 1607204
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:52 UTC by Doran Moppert
Modified: 2019-09-29 14:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:30:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:18:57 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:19:17 UTC
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:34:47 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:34:02 UTC

Description Doran Moppert 2018-06-26 01:52:22 UTC
A compromised IPC child process can escape the content sandbox and list the names of arbitrary files on the file system without user consent or interaction. This could result in exposure of private local files. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-12365

Comment 1 Doran Moppert 2018-06-26 01:52:26 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Alex Gaynor

Comment 5 errata-xmlrpc 2018-06-28 16:18:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 6 errata-xmlrpc 2018-06-28 16:19:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113

Comment 9 errata-xmlrpc 2018-07-24 21:33:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 10 errata-xmlrpc 2018-07-24 21:34:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.